import request from "@/utils/request";

// 锁库操作日志列表[有参数传入]－[产品料号]
export function getWareHouseLockList(data) {
  return request({
    url: `/system/common/api/mes/po/warehouselocklog/list`,
    method: "POST",
    data,
  });
}

// 创建锁库操作
export function createWareHouseLock(data) {
  return request({
    url: `/system/common/api/mes/po/warehouselock/create`,
    method: "POST",
    data,
  });
}

// 展ＢＯＭ操作树形列表[有参数传入]－[产品料号]
export function productBomJson(data) {
  return request({
    url: `/system/common/coreapi/mes/po/productbomjson/jsonresult`,
    method: "POST",
    data,
  });
}

// 展ＢＯＭ操作树形列表[有参数传入]－[产品料号]-反查ＢＯＭ
export function peggingBomJsonResult(data) {
  return request({
    url: `/system/common/coreapi/mes/po/antiproductbomjson/jsonresult`,
    method: "POST",
    data,
  });
}

// 锁库页面－展开ＢＯＭ按钮后　扩展下拉列表
export function getMainDropList() {
  return request({
    url: `/system/common/api/mes/po/matnolocktopdropdownlistin/list`,
    method: "POST",
    data: {
      source: "dic",
    },
  });
}

// 锁库页面－反查ＢＯＭ按钮后　扩展下拉列表
export function getMainDropListByPegging() {
  return request({
    url: `/system/common/api/mes/po/antimatnolocktopdropdownlistin/list
`,
    method: "POST",
    data: {
      source: "dic",
    },
  });
}

// 锁库页面－列表行后操作－扩展下拉列表
export function getRowDropList() {
  return request({
    url: `/system/common/api/mes/po/matnolockrowdropdownlistin/list`,
    method: "POST",
    data: {
      source: "dic",
    },
  });
}

// 锁库页面－列表行后操作－扩展下拉列表
export function getRowDropListByPegging() {
  return request({
    url: `/system/common/api/mes/po/antimatnolockrowdropdownlistin/list`,
    method: "POST",
    data: {
      source: "dic",
    },
  });
}
